Go to index page.

# gifasm

A program to assemble multiple GIF files into one, or disassemble a single GIF file with multiple images into single image files.

# Usage:

    gifasm [-q] [-a] [-d OutFileName] [-h] gif-file...

If no gif-file is given, GifAsm will try to read a GIF file from stdin, if in disassembly mode only (-d).

# Memory required:

Line.

# Options:

[-q]
  Quiet mode. Defaults off on MSDOS, on under UNIX. Controls printout of running scan lines. Use -q- to invert.

[-a]
  Assemble. This is the default, and the GifFile(s) are assembled to stdout. Note the screen descriptor (including screen color map) is taken from the first file, while other screen descriptors are ignored. As this tool requires at least 2 GIF files as input, no attempt will be made to read stdin if none specified on command line.

[-d OutFileName]
  Disassemble GifFile (if specified on command line) or stdin, into several files of the form OutFileNameXX, where XX are two decimal digits. Obviously up to 100 files can be generated this way. Note: in this mode nothing is sent to stdout.

[-h]
  Print one line of command line help, similar to Usage above.

# Author:

Gershon Elber